# Delegated Authentication

Dfns enables a unique configuration called Delegated Signing in which control of a wallet is delegated from you, our customer, to your end user (regardless of whether they are a consumer or a corporate entity). End Users are a first class citizen in Dfns and must be registered and then logged in so that they can interact with the system.

In most cases, our customers choose to hide the fact that they are using Dfns as their wallet provider from their users. We call this configuration white labeling Dfns. In this configuration, it does not make sense for them to receive an email from Dfns - they won't know who we are!

Delegated user management allows you as our customer to register end users and then log them in to Dfns all from the server-side using a [service account](/d/api-docs/authentication/service-account-management.md). In this way, you retain full control over the user experience, and Dfns remains hidden in the background.

{% hint style="info" %}
End Users can use the Dfns APIs directly as soon as they can sign their login challenge or obtain their auth token. Please carefully review the policies and controls you have in place.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/delegated-auth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
